WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Comments Censure

Comments Censure - Keep your blog clean from uncensored comments.

Comments Censure filters uncensored comments before showing them to end-users. If you want to keep your blog clean, then this plugin is just for you. Comments Censure is very flexible and has many settings, which allows you to manage censoring process as you want, disallow or replacing uncensored words with pre-defined words. All you must do, is installing plugin and forget about uncensored comments forever, the plugin will take care about your blog comments.

  • Comments Censure is RTL and Multisite ready!

Comments Censure:

  • Importing uncensored words from .txt file
  • Imports default words in wordpress current language (file name should look like words-en_US.txt)
  • Allows to add uncensored words manually on settings page
  • Replaces uncensored words (custom or global replacement)
  • Filtering email content
  • Export/Import options
  • Export/Import search/replace combinations
  • New uncensored comment notifications via email

Comments Censure PRO:

  • Image replacement for each search word with manageable width / height settings
  • Actions when uncensored word detected in comment
    • Ignore
    • Pre-submit validation and restriction
    • Pending moderation
    • Set as Spam
    • Move to Trashed
  • Actions when external URL detected in comment
    • Ignore
    • Pre-submit validation and restriction
    • Pending moderation
    • Set as Spam
    • Move to Trashed
  • Block users if comment contains uncensored words for X days
  • Block users if comment contains external urls for X days
  • Blocked users list page with detailed information
  • Whitelisted external domains (for comments with external urls)
  • Hard block users by IP addresses
  • Hard block users by EMAIL addresses
  • Front end phrases for translations

  • Upgrade to Comments Censure PRO: http://gvectors.com/product/comments-censure-pro/

Requires: 3.5.0 or higher
Compatible up to: 4.7.3
Last Updated: 2 weeks ago
Active Installs: Less than 10

Ratings

0 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.